<!--
  Copyright (C) 2014 Mike Gerwitz

  This file is part of jstonic.

  Copying and distribution of this file, with or without modification, are
  permitted in any medium without royalty provided the copyright notice and
  this notice are preserved.  This file is offered as-is, without warranty
  of any kind.
-->

# The JavaScript Tonic
jsTonic is a component collection for JavaScript build upon [GNU
ease.js](https://www.gnu.org/software/easejs), providing a general library to
solve real-world problems in object-oriented JavaScript development.

jsTonic is not functional, but focuses on immutable state and composition.

## Why jsTonic?
This project is written by the author of [GNU
ease.js](https://www.gnu.org/software/easejs); it provides functionality that
was initially anticipated to be a part of ease.js itself, but was able to be
implemented in a more modular manner. Consequently, the author did not find it
appropriate to be part of ease.js, as these components are built atop of it.

This project contains components that solve problems encountered during the
author's development using GNU ease.js and other JavaScript libraries. Other
libraries likely exist to solve these problems---jsTonic exists to integrate it
cleanly with GNU ease.js.


## License
jstonic is free software: you can redistribute it and/or modify it under the
terms of the GNU General Public License as published by the Free Software
Foundation, either version 3 of the License, or (at your option) any later
version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY
WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
PARTICULAR PURPOSE.  See the GNU General Public License for more details.
